Bug 152089 - Fedora Firefox will not position the cursor at the end of fields
Fedora Firefox will not position the cursor at the end of fields
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://ccc.atmos.colostate.edu/~hail/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 14:03 EST by William Kucharski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 15:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Kucharski 2005-03-24 14:03:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If you click at the end of many, but not all data input boxes in which text is programmed (notably the "Total Precipitation" entry box, and for that matter the "Steps to Reproduce" box below), the cursor will remain at the beginning of the entry.

This behavior does NOT occur with the version of firefox available directly from mozilla.org; it only occurs in the Fedora RPM versions.

This same behavior was seen in 1.0.1.

Version-Release number of selected component (if applicable):
firefox-1.0.2-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Go to a text entry box
2. Click after text and hope to see the cursor appear at the end of existing text
3. Note that the cursor stubbornly sits at the beginning of the entry
  

Actual Results:  Cursor remained at the beginning of the text field

Expected Results:  The cursor should have appeared at the end (or anywhere within the entry.)

Additional info:

As mentioned, this is something being caused specifically by the Fedora RPMs; the version available directly from mozilla.org does NOT exhibit this behavior.
Comment 1 Chris Evans 2005-04-10 09:03:22 EDT
Similar to bug 150002 where I note other text field woes related
to the usage of Pango.
Workaround: stick MOZ_DISABLE_PANGO=1 in your .bash_profile
Comment 2 Christopher Aillon 2005-04-10 09:09:36 EDT
There is a fix in rawhide already, which I will propogate next week to FC3.

Note You need to log in before you can comment on or make changes to this bug.